GNU bug report logs - #42428
28.0.50; Gnus will sometimes continue loading articles from previous group

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lars Ingebrigtsen <larsi@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 42428 <at> debbugs.gnu.org and Lars Ingebrigtsen <larsi@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42428 <at> debbugs.gnu.org:


Received: (at 42428) by debbugs.gnu.org; 4 Aug 2020 14:42:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 10:42:03 2020
Received: from localhost ([127.0.0.1]:48790 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2y8h-0004eP-0S
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 10:42:03 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2y8f-0004dt-LH
 for 42428 <at> debbugs.gnu.org; Tue, 04 Aug 2020 10:42:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:To:From:Sender:Reply-To:Cc:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=i+VHjA46tK6QTz8ll+0s2Gh28biWTuPAmIczjpTR9G0=; b=BhFyOIR5qxa8M1bOsNCzepHwG4
 KwP/29+Ggpljk/z87PWeOw/tt6Cmw/onnLDDHQN4kmUvn8MhgEhEpSYjprHrvNE4wk/KX2EoeZfKX
 2NPo7UJ8jbJdYLIX/htM6sxxG93bd+PuHeMZfCuwZvpOMY8oyqjRw6O1eRLATtpRp45Y=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1k2y8X-0000H8-Fb
 for 42428 <at> debbugs.gnu.org; Tue, 04 Aug 2020 16:41:56 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: 42428 <at> debbugs.gnu.org
Subject: Re: bug#42428: 28.0.50; Gnus will sometimes continue loading
 articles from previous group
References: <87ft9nmlvs.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 16:41:52 +0200
In-Reply-To: <87ft9nmlvs.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 19 Jul 2020 19:53:59 +0200")
Message-ID: <87wo2emq1b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > Here's the bug:
 > > 5) Select the second article. This will then show random article >
 portions
 from the async in 2). Rather inexplicably, I haven't been able to reproduce
 this bug after 40665 was fixed. That function changed some timing things,
 sure, but it's weird that this also fixed this problem. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42428
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Here's the bug:
>
> 5) Select the second article.  This will then show random article
>    portions from the async in 2).

Rather inexplicably, I haven't been able to reproduce this bug after
40665 was fixed.  That function changed some timing things, sure, but
it's weird that this also fixed this problem.

But I haven't seen it in three days, and I used to see it several times
a day, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42428; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jul 2020 17:54:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 19 13:54:11 2020
Received: from localhost ([127.0.0.1]:32931 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jxDVq-0004ty-QZ
	for submit <at> debbugs.gnu.org; Sun, 19 Jul 2020 13:54:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:50054)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1jxDVn-0004tp-D2
 for submit <at> debbugs.gnu.org; Sun, 19 Jul 2020 13:54:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44272)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1jxDVn-0005be-4T
 for bug-gnu-emacs@HIDDEN; Sun, 19 Jul 2020 13:54:07 -0400
Received: from quimby.gnus.org ([2a01:4f9:2b:f0f::2]:53912)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1jxDVl-0004Po-CW
 for bug-gnu-emacs@HIDDEN; Sun, 19 Jul 2020 13:54:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:Subject:To:From:
 Sender:Reply-To:Cc:Content-Transfer-Encoding:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=qrM5cg3YhU3MVSZNw3oqc1Fk5c3g09tDCXctemRipGE=; b=mJAj95jWdO9ihbmXBYcS6O90Bl
 jxrgfmz6n2cnOBEVMmkFpBstFz1DvA4n5geW5M0aUNGStiCSN0vQc2Tu5hWJNV4J3OiYfSegHfkhA
 rWzHeQkOJtq+hKD+ozyds2lgcLMNpqU1DluDtHt7Scdo5FPob6X/T8N8xHmHa/joK/3k=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1jxDVg-00036X-5e
 for bug-gnu-emacs@HIDDEN; Sun, 19 Jul 2020 19:54:02 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Gnus will sometimes continue loading articles from
 previous group
Date: Sun, 19 Jul 2020 19:53:59 +0200
Message-ID: <87ft9nmlvs.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: To reproduce: 1) Enter an NNTP group with a lot of articles.
 2) Select the first article. gnus-async will then start loading more articles.
 3) Hit `c' or the like to go to the next group. 4) Select the first articl
 [...] Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
Received-SPF: pass client-ip=2a01:4f9:2b:f0f::2; envelope-from=larsi@HIDDEN;
 helo=quimby.gnus.org
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


To reproduce:

1) Enter an NNTP group with a lot of articles.
2) Select the first article.  gnus-async will then start loading more
   articles.
3) Hit `c' or the like to go to the next group.
4) Select the first article.  gnus-async will start loading more
   articles.

Here's the bug:

5) Select the second article.  This will then show random article
   portions from the async in 2).

So the preceding async isn't cancelled, or is cancelled (and then
cleaned up?) the wrong way, leaving data in the server buffer that is
then interpreted as coming from the most recent gnus-async call.


In GNU Emacs 28.0.50 (build 8, x86_64-pc-linux-gnu, GTK+ Version 3.24.20, cairo version 1.16.0)
 of 2020-07-19 built on xo
Repository revision: 17f646128f04e9e8590f0371026a14d516f21c63
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Debian GNU/Linux bullseye/sid


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Acknowledgement sent to Lars Ingebrigtsen <larsi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42428; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 4 Aug 2020 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.